scala.tools.nsc.util

# ScalaClassLoader

#### trait ScalaClassLoader extends ClassLoader

A wrapper around java.lang.ClassLoader to lower the annoyance of java reflection.

Linear Supertypes
ClassLoader, AnyRef, Any
Known Subclasses
AbstractFileClassLoader, URLClassLoader
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScalaClassLoader
2. ClassLoader
3. AnyRef
4. Any

Implicitly

1. by apply
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (ScalaClassLoader, B)

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ArrowAssoc[ScalaClassLoader] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def asContext[T](action: ⇒ T): T

   Executing an action with this classloader as context classloader

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def classAsStream(className: String): InputStream

    An InputStream representing the given class name, or null if not found.

11. #### def classBytes(className: String): Array[Byte]

    The actual bytes for a class file, or an empty array if it can't be found.

12. #### def clearAssertionStatus(): Unit

    Definition Classes
      ClassLoader

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def constructorsOf[T <: AnyRef](implicit arg0: ClassTag[T]): List[Constructor[T]]

15. #### def create(path: String): AnyRef

    Create an instance of a class with this classloader

16. #### final def defineClass(arg0: String, arg1: ByteBuffer, arg2: ProtectionDomain): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )

17. #### final def defineClass(arg0: String, arg1: Array[Byte], arg2: Int, arg3: Int, arg4: ProtectionDomain): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )

18. #### final def defineClass(arg0: String, arg1: Array[Byte], arg2: Int, arg3: Int): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )

19. #### def definePackage(arg0: String, arg1: String, arg2: String, arg3: String, arg4: String, arg5: String, arg6: String, arg7: URL): Package

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

20. #### def ensuring(cond: (ScalaClassLoader) ⇒ Boolean, msg: ⇒ Any): ScalaClassLoader

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to Ensuring[ScalaClassLoader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: (ScalaClassLoader) ⇒ Boolean): ScalaClassLoader

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to Ensuring[ScalaClassLoader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScalaClassLoader

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to Ensuring[ScalaClassLoader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean): ScalaClassLoader

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to Ensuring[ScalaClassLoader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### def findClass(arg0: String): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

28. #### def findLibrary(arg0: String): String

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

29. #### final def findLoadedClass(arg0: String): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

30. #### def findResource(arg0: String): URL

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

31. #### def findResources(arg0: String): java.util.Enumeration[URL]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.io.IOException] )

32. #### final def findSystemClass(arg0: String): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

33. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

34. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

35. #### def getClassLoadingLock(arg0: String): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

36. #### def getPackage(arg0: String): Package

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

37. #### def getPackages(): Array[Package]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

38. #### final def getParent(): ClassLoader

    Definition Classes
      ClassLoader
    Annotations
      @CallerSensitive()

39. #### def getResource(arg0: String): URL

    Definition Classes
      ClassLoader

40. #### def getResourceAsStream(arg0: String): InputStream

    Definition Classes
      ClassLoader

41. #### def getResources(arg0: String): java.util.Enumeration[URL]

    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.io.IOException] )

42. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

43. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

44. #### def loadClass(arg0: String, arg1: Boolean): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

45. #### def loadClass(arg0: String): Class[_]

    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

46. #### def loaderChain: List[ScalaClassLoader]

    A list comprised of this classloader followed by all its (non-null) parent classloaders, if any.

47. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

48. #### final def notify(): Unit

    Definition Classes
      AnyRef

49. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

50. #### final def resolveClass(arg0: Class[_]): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

51. #### def run(objectName: String, arguments: Seq[String]): Unit

    Run the main method of a class to be loaded by this classloader

52. #### def setAsContext(): Unit

53. #### def setClassAssertionStatus(arg0: String, arg1: Boolean): Unit

    Definition Classes
      ClassLoader

54. #### def setDefaultAssertionStatus(arg0: Boolean): Unit

    Definition Classes
      ClassLoader

55. #### def setPackageAssertionStatus(arg0: String, arg1: Boolean): Unit

    Definition Classes
      ClassLoader

56. #### final def setSigners(arg0: Class[_], arg1: Array[AnyRef]): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

57. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

58. #### def toString(): String

    Definition Classes
      AnyRef → Any

59. #### def tryToInitializeClass[T <: AnyRef](path: String): Option[Class[T]]

    Load, link and initialize a class with this classloader

60. #### def tryToLoadClass[T <: AnyRef](path: String): Option[Class[T]]

    Load and link a class with this classloader

61. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

63. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

64. #### def →[B](y: B): (ScalaClassLoader, B)

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ArrowAssoc[ScalaClassLoader] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def asContext[T](action: ⇒ T): T

   Executing an action with this classloader as context classloader

   Executing an action with this classloader as context classloader

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).asContext(action)

2. #### def classAsStream(className: String): InputStream

   An InputStream representing the given class name, or null if not found.

   An InputStream representing the given class name, or null if not found.

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).classAsStream(className)

3. #### def classBytes(className: String): Array[Byte]

   The actual bytes for a class file, or an empty array if it can't be found.

   The actual bytes for a class file, or an empty array if it can't be found.

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).classBytes(className)

4. #### def clearAssertionStatus(): Unit

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).clearAssertionStatus()

   Definition Classes
     ClassLoader

5. #### def constructorsOf[T <: AnyRef](implicit arg0: ClassTag[T]): List[Constructor[T]]

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).constructorsOf(arg0)

6. #### def create(path: String): AnyRef

   Create an instance of a class with this classloader

   Create an instance of a class with this classloader

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).create(path)

7. #### final def getParent(): ClassLoader

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).getParent()

   Definition Classes
     ClassLoader
   Annotations
     @CallerSensitive()

8. #### def getResource(arg0: String): URL

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).getResource(arg0)

   Definition Classes
     ClassLoader

9. #### def getResourceAsStream(arg0: String): InputStream

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (scalaClassLoader: ScalaClassLoader).getResourceAsStream(arg0)

   Definition Classes
     ClassLoader

10. #### def getResources(arg0: String): java.util.Enumeration[URL]

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).getResources(arg0)

    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.io.IOException] )

11. #### def loadClass(arg0: String): Class[_]

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).loadClass(arg0)

    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

12. #### def loaderChain: List[ScalaClassLoader]

    A list comprised of this classloader followed by all its (non-null) parent classloaders, if any.

    A list comprised of this classloader followed by all its (non-null) parent classloaders, if any.

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).loaderChain

13. #### def run(objectName: String, arguments: Seq[String]): Unit

    Run the main method of a class to be loaded by this classloader

    Run the main method of a class to be loaded by this classloader

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).run(objectName, arguments)

14. #### val self: Any

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to StringAdd performed by method any2stringadd in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (scalaClassLoader: StringAdd).self

    Definition Classes
      StringAdd

15. #### val self: Any

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to StringFormat performed by method any2stringfmt in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (scalaClassLoader: StringFormat).self

    Definition Classes
      StringFormat

16. #### def setAsContext(): Unit

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).setAsContext()

17. #### def setClassAssertionStatus(arg0: String, arg1: Boolean): Unit

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).setClassAssertionStatus(arg0, arg1)

    Definition Classes
      ClassLoader

18. #### def setDefaultAssertionStatus(arg0: Boolean): Unit

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).setDefaultAssertionStatus(arg0)

    Definition Classes
      ClassLoader

19. #### def setPackageAssertionStatus(arg0: String, arg1: Boolean): Unit

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).setPackageAssertionStatus(arg0, arg1)

    Definition Classes
      ClassLoader

20. #### def tryToInitializeClass[T <: AnyRef](path: String): Option[Class[T]]

    Load, link and initialize a class with this classloader

    Load, link and initialize a class with this classloader

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).tryToInitializeClass(path)

21. #### def tryToLoadClass[T <: AnyRef](path: String): Option[Class[T]]

    Load and link a class with this classloader

    Load and link a class with this classloader

    Implicit information
      This member is added by an implicit conversion from ScalaClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (scalaClassLoader: ScalaClassLoader).tryToLoadClass(path)

### Deprecated Value Members

1. #### final def defineClass(arg0: Array[Byte], arg1: Int, arg2: Int): Class[_]

   Attributes
     protected[java.lang]
   Definition Classes
     ClassLoader
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.ClassFormatError] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def x: ScalaClassLoader

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to ArrowAssoc[ScalaClassLoader] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scalaClassLoader: ArrowAssoc[ScalaClassLoader]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: ScalaClassLoader

   Implicit information
     This member is added by an implicit conversion from ScalaClassLoader to Ensuring[ScalaClassLoader] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (scalaClassLoader: Ensuring[ScalaClassLoader]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from ClassLoader

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion apply from ScalaClassLoader to ScalaClassLoader

### Inherited by implicit conversion any2stringadd from ScalaClassLoader to StringAdd

### Inherited by implicit conversion any2stringfmt from ScalaClassLoader to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from ScalaClassLoader to ArrowAssoc[ScalaClassLoader]

### Inherited by implicit conversion any2Ensuring from ScalaClassLoader to Ensuring[ScalaClassLoader]

### Ungrouped